Subject: Introducing Good Labs: Better Panels for Better Pricing
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Mon, 30 Mar 2026 19:54:49 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/introducing-good-labs-better-panels

https://app.hellogoodlabs.com?fpr=derek [ https://substack.com/redirect/127436d7-c460-42ad-ae72-83fbab390e28?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ] | Code DEREK for 20% off
I mentioned after the Arnold’s that I’d be working with a new lab work company, helping them build out the peptide side of things. We’re still early in that process, but their panel pricing is good enough that I didn’t want to sit on this.
The panels actually make sense - they’re not padding biomarker counts with redundant tests. The Bodybuilder Panel ($215 before code) is one of the only reasonably priced options I’ve found that includes IGF-1 alongside a genuinely complete hormone, metabolic, and cardiovascular picture. 59 biomarkers across 19 tests is a lot of ground covered for the price.
You can also add individual tests on top of any panel, kind of like building from Quest yourself but without the guesswork. If a panel is missing something specific, you’re not stuck with it as-is.
One other thing worth knowing about - if you’re eligible in your area and donate blood, Good Labs has partnered with labs to comp you free lab work. That’s part of a bigger mission they’re building toward, and I’ll go into more detail on that later.
My general stance hasn’t changed: get labs through your doctor first if you can. But most people in this community already know the problem - doctors won’t order the panels that actually matter for what we’re researching. This fills that gap.
More details to come as we build out the peptide-specific side of things. For now, if you need bloodwork, Good Labs is where I’d send you.
Bodybuilder Panel — $215 Use code DEREK for 20% off
CBC (includes Differential and Platelets)
Platelet Count
WBC
Red Blood Cell Count
Hemoglobin
Hematocrit
MCV
MCH
MCHC
RDW (RDW-CV)
MPV
Absolute Neutrophils
Absolute Lymphocytes
Absolute Eosinophils
Absolute Basophils
Neutrophils (%)
Eosinophils (%)
Basophils (%)
Comprehensive Metabolic Panel
Glucose (Fasting)
BUN
Creatinine
eGFR (creatinine)
BUN/Creatinine Ratio
Sodium
Potassium
Chloride
Carbon Dioxide
Calcium (Total)
Total Protein
Albumin
Globulin
Albumin/Globulin Ratio
Total Bilirubin
ALP
AST
ALT
Testosterone, Free (Dialysis) and Total, MS
Testosterone (Total)
Free Testosterone (Direct MS Assay)
Estradiol, Ultrasensitive (LC/MS)
Estradiol
Lipid Panel with Reflex to Direct LDL
Total Cholesterol
HDL-Cholesterol
Triglycerides
LDL-Cholesterol
Total Cholesterol/HDL Ratio
Non-HDL Cholesterol
Vitamin D (25-OH)
Vitamin D
ApoB
ApoB
Dihydrotestosterone
DHT
PSA (Total)
PSA
SHBG
SHBG
hs-CRP
hs-CRP
Cystatin C with eGFR
Cystatin C
eGFR (creatinine + cystatin C)
IGF-1
IGF-1
GGT
GGT
TSH
TSH
T3 Free
Free T3
Prolactin
Prolactin
HbA1c
HbA1c
DHEA-S
DHEA-S
Get labs through your doctor first whenever possible. For everything else, Good Labs is the best option I’ve found.
https://app.hellogoodlabs.com?fpr=derek [ https://substack.com/redirect/127436d7-c460-42ad-ae72-83fbab390e28?j=eyJ1IjoiNGl3b2U2In0.sVDxRtmZ85v8kfdamY0krRXGMy3p768BWtuZifRB-Zs ] | Code DEREK — 20% off

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNalkxTURVMU9Dd2lhV0YwSWpveE56YzBPVEF3TkRrMExDSmxlSEFpT2pFNE1EWTBNelkwT1RRc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LjdwalhWWFhIa2t5bW9RekZvT3R6SU1xQ2k2WDZrdVgwd0ZSY3k0NHEtUHciLCJwIjoxOTI2NTA1NTgsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc0OTAwNDk0LCJleHAiOjIwOTA0NzY0OTQsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.0iry61CmQpJpK8VXAfmNir22-umclqdLGiUzvXKmdMo?